package be.iminds.ilabt.jfed.experimenter_gui.editor.rspec_validation;

import be.iminds.ilabt.jfed.util.JavaFXTest;
import org.testng.Assert;
import org.testng.annotations.Test;

public class UniqueCliendIdValidatorTest extends JavaFXTest {

    @Test
    public void testCreateNextId() throws Exception {
        Assert.assertEquals(UniqueCliendIdValidator.createNextId("node0"), "node1");
        Assert.assertEquals(UniqueCliendIdValidator.createNextId("node"), "node1");
        Assert.assertEquals(UniqueCliendIdValidator.createNextId("server00"), "server1");
        Assert.assertEquals(UniqueCliendIdValidator.createNextId("server9"), "server10");
    }
}